Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517551 - [abrt] firefox: js::gc::ChunkBitmap::markIfUnmarked(): firefox killed by SIGSEGV
Summary: [abrt] firefox: js::gc::ChunkBitmap::markIfUnmarked(): firefox killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:da535ee2ee30602a2d6b23329ff...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-26 18:07 UTC by dimapunk80
Modified: 2018-11-30 23:26 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:26:38 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-26 18:07 UTC, dimapunk80
no flags Details
File: cgroup (deleted)
2017-11-26 18:07 UTC, dimapunk80
no flags Details
File: core_backtrace (deleted)
2017-11-26 18:07 UTC, dimapunk80
no flags Details
File: cpuinfo (deleted)
2017-11-26 18:07 UTC, dimapunk80
no flags Details
File: dso_list (deleted)
2017-11-26 18:07 UTC, dimapunk80
no flags Details
File: environ (deleted)
2017-11-26 18:07 UTC, dimapunk80
no flags Details
File: limits (deleted)
2017-11-26 18:07 UTC, dimapunk80
no flags Details
File: maps (deleted)
2017-11-26 18:07 UTC, dimapunk80
no flags Details
File: mountinfo (deleted)
2017-11-26 18:07 UTC, dimapunk80
no flags Details
File: open_fds (deleted)
2017-11-26 18:07 UTC, dimapunk80
no flags Details
File: proc_pid_status (deleted)
2017-11-26 18:07 UTC, dimapunk80
no flags Details
File: var_log_messages (deleted)
2017-11-26 18:07 UTC, dimapunk80
no flags Details
File: exploitable (deleted)
2017-11-26 18:07 UTC, dimapunk80
no flags Details

Description dimapunk80 2017-11-26 18:07:19 UTC
Version-Release number of selected component:
firefox-57.0-2.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 1 -isForBrowser -intPrefs 5:50|6:-1|18:0|28:1000|34:20|35:5|36:10|45:128|46:10000|51:0|53:400|54:1|55:0|56:0|61:0|62:120|63:120|98:2|99:1|114:5000|124:0|126:0|137:10000|162:24|163:32768|165:0|166:0|174:0|178:1048576|179:100|180:5000|182:600|183:4|184:1|193:3|206:60000| -boolPrefs 1:0|2:0|4:0|26:1|27:1|30:0|33:1|37:1|38:0|39:0|40:0|43:1|44:1|47:0|48:0|49:0|50:0|52:0|57:1|58:1|59:0|60:1|64:1|65:1|66:0|67:1|68:1|69:0|70:1|73:0|74:0|77:1|78:1|82:1|83:1|84:1|85:0|86:0|88:0|89:0|90:1|91:0|92:1|95:1|97:0|100:1|101:0|108:0|113:0|116:1|118:1|119:1|121:1|125:0|127:0|129:0|131:1|132:1|138:1|139:0|140:1|142:0|153:1|160:0|161:0|164:1|167:0|169:1|171:1|172:0|177:0|181:1|186:0|187:1|188:0|189:1|190:0|191:1|192:1|195:1|198:0|199:0|200:1|201:1|202:0|203:1|204:1|205:1|207:0|208:0|210:0|218:1|219:0|220:0|221:0|222:0| -stringPrefs 3:7;default|96:0;|141:3;1.0|158:332;  |159:4;high| -schedulerPrefs 0001,2 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 5682 tab
crash_function: js::gc::ChunkBitmap::markIfUnmarked
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=1526c27845244990a23ccdf20d45e167;i=3e203;b=7a028a427f444cc2ab6e1c8b2ce4c039;m=16a81caa23;t=55ee668c330af;x=ab63df1bdfa9a05e
kernel:         4.13.13-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 0 (10 frames)
 #0 js::gc::ChunkBitmap::markIfUnmarked at /usr/src/debug/firefox-57.0-2.fc27.x86_64/js/src/gc/Heap.h:950
 #1 js::gc::TenuredCell::markIfUnmarked at /usr/src/debug/firefox-57.0-2.fc27.x86_64/js/src/gc/Heap.h:1304
 #2 js::GCMarker::mark<js::ObjectGroup> at /usr/src/debug/firefox-57.0-2.fc27.x86_64/js/src/gc/Marking.cpp:990
 #3 js::GCMarker::markAndPush<js::ObjectGroup> at /usr/src/debug/firefox-57.0-2.fc27.x86_64/js/src/gc/Marking.cpp:915
 #4 js::GCMarker::traverse<js::ObjectGroup*> at /usr/src/debug/firefox-57.0-2.fc27.x86_64/js/src/gc/Marking.cpp:922
 #5 js::GCMarker::traverseEdge<JSObject*, js::ObjectGroup> at /usr/src/debug/firefox-57.0-2.fc27.x86_64/js/src/gc/Marking.cpp:967
 #6 js::GCMarker::processMarkStackTop at /usr/src/debug/firefox-57.0-2.fc27.x86_64/js/src/gc/Marking.cpp:1774
 #7 js::GCMarker::drainMarkStack at /usr/src/debug/firefox-57.0-2.fc27.x86_64/js/src/gc/Marking.cpp:1606
 #8 js::gc::GCRuntime::markGrayReferences<js::gc::GCSweepGroupIter, js::CompartmentsIterT<js::gc::GCSweepGroupIter> > at /usr/src/debug/firefox-57.0-2.fc27.x86_64/js/src/jsgc.cpp:4407
 #9 js::gc::GCRuntime::markGrayReferencesInCurrentGroup at /usr/src/debug/firefox-57.0-2.fc27.x86_64/js/src/jsgc.cpp:4413

Comment 1 dimapunk80 2017-11-26 18:07:30 UTC
Created attachment 1359191 [details]
File: backtrace

Comment 2 dimapunk80 2017-11-26 18:07:32 UTC
Created attachment 1359192 [details]
File: cgroup

Comment 3 dimapunk80 2017-11-26 18:07:36 UTC
Created attachment 1359193 [details]
File: core_backtrace

Comment 4 dimapunk80 2017-11-26 18:07:37 UTC
Created attachment 1359194 [details]
File: cpuinfo

Comment 5 dimapunk80 2017-11-26 18:07:39 UTC
Created attachment 1359195 [details]
File: dso_list

Comment 6 dimapunk80 2017-11-26 18:07:41 UTC
Created attachment 1359196 [details]
File: environ

Comment 7 dimapunk80 2017-11-26 18:07:43 UTC
Created attachment 1359197 [details]
File: limits

Comment 8 dimapunk80 2017-11-26 18:07:47 UTC
Created attachment 1359198 [details]
File: maps

Comment 9 dimapunk80 2017-11-26 18:07:48 UTC
Created attachment 1359199 [details]
File: mountinfo

Comment 10 dimapunk80 2017-11-26 18:07:50 UTC
Created attachment 1359200 [details]
File: open_fds

Comment 11 dimapunk80 2017-11-26 18:07:52 UTC
Created attachment 1359201 [details]
File: proc_pid_status

Comment 12 dimapunk80 2017-11-26 18:07:54 UTC
Created attachment 1359202 [details]
File: var_log_messages

Comment 13 dimapunk80 2017-11-26 18:07:55 UTC
Created attachment 1359203 [details]
File: exploitable

Comment 14 Ben Cotton 2018-11-27 13:49:12 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2018-11-30 23:26:38 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.